#ifndef FREEANDFLUSHBLOCKINDEXAGGREGATION_H_
#define FREEANDFLUSHBLOCKINDEXAGGREGATION_H_

#pragma once

class FreeAndFlushBlockIndexAggregation {
	
public:

	// helper object for "insertRecordIntoBlock" method in BufferManager ..

	FreeAndFlushBlockIndexAggregation();
	~FreeAndFlushBlockIndexAggregation();
	
	bool getInsertPerformed();
	void setInsertPerformed( bool newInsertPerformed );
	
	bool getFreeBlockFound();
	void setFreeBlockFound( bool newFreeBlockFound );
	
	// not necessary; encapsulating code already has this value ..
	//int getFreeBlockIndex();
	//void setFreeBlockIndex( int newFreeBlockIndex );
	
	bool getFlushBlockFound();
	void setFlushBlockFound( bool newFlushBlockFound );
	
	int getFlushBlockIndex();
	void setFlushBlockIndex( int newFlushBlockIndex );

private:

	bool insertPerformed;
	
	bool freeBlockFound;
	//int freeBlockIndex;
	
	bool flushBlockFound;
	int flushBlockIndex;
	

};

#endif /*FREEANDFLUSHBLOCKINDEXAGGREGATION_H_*/
