#ifndef LOADANDINSERTINTOPARTIALAGGREGATION_H_
#define LOADANDINSERTINTOPARTIALAGGREGATION_H_

#pragma once

#include <string>
#include <vector>

#include "../DataHeader/DataHeader.h"

using namespace std;

class LoadAndInsertIntoPartialAggregation {
	
public:

	LoadAndInsertIntoPartialAggregation();
	~LoadAndInsertIntoPartialAggregation();

	DataHeader* getHeader();
	void setHeader( DataHeader* newHeader );
	
	int getHeaderEntryIndex();
	void setHeaderEntryIndex( int newHeaderEntryIndex );

	int getBlockIndex();
	void setBlockIndex( int newBlockIndex );

	int getLoadPageID();
	void setLoadPageID( int newLoadPageID );

	string getTableNameX();
	void setTableNameX( string newTableNameX );

	int getNumberOfAttributes();
	void setNumberOfAttributes( int newNumberOfAttributes );

	vector<int>* getInsertValues();
	void setInsertValues( vector<int>* newInsertValues );

	
private:
	
	DataHeader* header;
	
	int headerEntryIndex;
	
	int blockIndex;
	
	int loadPageID;
	
	string tableNameX;
	
	int numberOfAttributes;
	
	vector<int>* insertValues;
	
};

#endif /*LOADANDINSERTINTOPARTIALAGGREGATION_H_*/
