#ifndef BLOCKFORINSERT_H_
#define BLOCKFORINSERT_H_

class BlockForInsert {
public:
	BlockForInsert();
	virtual ~BlockForInsert();
	
	static const int NONE = 0;
	static const int PARTIALLY_FULL_SAME_TABLE = 1;
	static const int EMPTY = 2;
	static const int NOT_DIRTY = 3;
	
	
	void setBpBlock( int bpBlock_ );
	
	int getBpBlock();
	
	void setState( int state_ );
	
	int getState();
	
private:

	// this holds the index of the block to insert into ..
	int bpBlock;
	
	// this holds the value of the static const flags ..
	int state;

};

#endif /*BLOCKFORINSERT_H_*/
