#include "CatalogIndex.h"

CatalogIndex:: CatalogIndex(){
	
	//cout << "CatalogTable() start .." << endl << endl;
	
	// default constructor ..
	
	indexName = "";
	
	indexTableName = "";
	
	isNoDuplicates = true;
	
	indexSize = 0;
	
	catalogIndexAttribute = new CatalogIndexAttribute();
	
}


CatalogIndex:: ~CatalogIndex(){
}


/*
 * SETTERS ..
 */

void CatalogIndex:: setIndexName( string indexName_ ){
	
	indexName = indexName_;
	
}

void CatalogIndex:: setIndexTableName( string indexTableName_ ){
	
	indexTableName = indexTableName_;
	
}


void CatalogIndex:: setIndexSize( int indexSize_ ){
	
	indexSize = indexSize_;
	
}


void CatalogIndex:: setIsNoDuplicates( bool isNoDuplicates_ ){
	
	isNoDuplicates = isNoDuplicates_;
	
}


void CatalogIndex:: setAttribute( CatalogIndexAttribute* catalogIndexAttribute_ ){
	
	catalogIndexAttribute = catalogIndexAttribute_;
	
}

void CatalogIndex:: setAttribute( string catalogIndexAttribute_ ){
	
	catalogIndexAttribute->setIndexAttributeName( catalogIndexAttribute_ );
	
}


/*
 * GETTERS ..
 */

string CatalogIndex:: getIndexName(){
	
	return indexName;
	
}

string CatalogIndex:: getIndexTableName(){
	
	return indexTableName;
	
}

bool CatalogIndex:: getIsNoDuplicates(){
	
	return isNoDuplicates;
	
}


int CatalogIndex:: getIndexSize(){
	
	return indexSize;
	
}

CatalogIndexAttribute* CatalogIndex:: getAttribute(){
	
	return catalogIndexAttribute;
	
}
