#include "IndexHeaderEntry.h"

IndexHeaderEntry:: IndexHeaderEntry(){
	
	pageID = -1;
	
	numberOfSearchKeys = -1;
	
	numberOfChildPageIDs = -1;
	
	parentPageID = -1;
	
	freeSearchKeyCount = 2;
	
	searchKeysAvailable = new vector<bool>();
	int fanout = 5;
	for(int i=0; i<(fanout-1); i++)
		searchKeysAvailable->push_back(true);
	
}

IndexHeaderEntry:: ~IndexHeaderEntry(){
}


/*
 * GETTERS .. 
 */
	 
int IndexHeaderEntry:: getPageID(){
	
	return pageID;
	
}

int IndexHeaderEntry:: getNumberOfSearchKeys(){
	
	return numberOfSearchKeys;
	
}

int IndexHeaderEntry:: getNumberOfChildPageIDs(){
	
	return numberOfChildPageIDs;
	
}

int IndexHeaderEntry:: getParentPageID() {
	
	return parentPageID;
	
}

int IndexHeaderEntry:: getFreeSearchKeyCount(){
	
	return freeSearchKeyCount;
	
}

vector<bool>* IndexHeaderEntry:: getSearchKeysAvailable() {
	
	return searchKeysAvailable;
	
}
	

/*
 * SETTERS .. 
 */

void IndexHeaderEntry:: setPageID( int pageID_ ){
	
	pageID = pageID_;
	
}

void IndexHeaderEntry:: setNumberOfSearchKeys( int numberOfSearchKeys_ ){
	
	numberOfSearchKeys = numberOfSearchKeys_;
	
}

void IndexHeaderEntry:: setNumberOfChildPageIDs( int numberOfChildPageIDs_ ){
	
	numberOfChildPageIDs = numberOfChildPageIDs_;
	
}

void IndexHeaderEntry:: setParentPageID( int parentPageID_ ){
	
	parentPageID = parentPageID_;
	
}

void IndexHeaderEntry:: setFreeSearchKeyCount( int freeSearchKeyCount_ ){
	
	freeSearchKeyCount = freeSearchKeyCount_;
	
}

void IndexHeaderEntry:: setSearchKeysAvailable( vector<bool>* searchKeysAvailable_ ){
	
	searchKeysAvailable = searchKeysAvailable_;
	
}
