#ifndef INDEXNODE_H_
#define INDEXNODE_H_

using namespace std;

#include <vector>

class IndexNode {
	
public:

	IndexNode();
	virtual ~IndexNode();
	
	void setIndexPageID( int indexPageID_ );
	void setChildIndexPageIDs( vector<int>* childIndexPageIDs_ );
	void setParentIndexPageID( int parentIndxPageID_ );
	
	int getIndexPageID();
	vector<int>* getChildIndexPageIDs();
	int getParentIndexPageID();
	
private:

	int _indexPageID;

	vector<int>* _childIndexPageIDs;
		
	int _parentIndexPageID;
	
};

#endif /*INDEXNODE_H_*/
