#ifndef INDEXNODEROW_H_
#define INDEXNODEROW_H_

using namespace std;

#include <vector>
#include "IndexNode.h"

class IndexNodeRow {
	
public:
	IndexNodeRow();
	virtual ~IndexNodeRow();
	
	vector<IndexNode*>* getRow();

	void setRow( vector<IndexNode*>* row_ );
	
	IndexNode* getIndexNode( int pageID_ );
	
	void addIndexNode( IndexNode* indexNode_ );
	
	int findParentPageID( int currentPageID_ );
	
private:

	vector<IndexNode*>* _row;
	
};

#endif /*INDEXNODEROW_H_*/
