#include "IndexPage.h"

IndexPage::IndexPage() {
	
	int fanout = 5;
	
	searchKeys = new vector<int>();
	//for(int i=0; i<(fanout-1); i++)
	//	searchKeys->push_back(-1);
	
	childPageIDs = new vector<int>();
	//for(int i=0; i<fanout; i++)
	//	childPageIDs->push_back(-1);
		
	isLeafNode = false;
	
	pageID = -1;
	
}

IndexPage:: ~IndexPage() {
	

}

int IndexPage:: getChildPageID( int searchKey_ ){
	
	int returnPageID = -1;
	
	int childPageIDsSize = childPageIDs->size();
	
	int searchKeysSize = searchKeys->size();
	
	// return if the collections don't match in size properly ..
	if( ( ( isLeafNode == false ) && ( childPageIDsSize != ( searchKeysSize + 1 ) ) ) || 
	    ( ( isLeafNode == true ) && ( childPageIDsSize != searchKeysSize ) ) ) {
		
		return returnPageID;
		
	}
	
	for(int i=0; i<searchKeysSize; i++){
		
		if( searchKeys->at(i) == searchKey_ ){
			
			if( i < childPageIDsSize ){
				
				returnPageID = childPageIDs->at( i );
				
			}
			
		}
		
	}
	
	return returnPageID;
	
}

	/*
	 * GETTERS .. 
	 */
	 
vector<int>* IndexPage:: getSearchKeys(){
	
	return searchKeys;
	
}
	
vector<int>* IndexPage:: getChildPageIDs(){
	
	return childPageIDs;
	
}

bool IndexPage:: getIsLeafNode(){
	
	return isLeafNode;
	
}

int IndexPage:: getPageID(){
	
	return pageID;
	
}
	
	/*
	 * SETTERS .. 
	 */
	
void IndexPage:: setSearchKeys( vector<int>* searchKeys_ ){
	
	searchKeys = searchKeys_;
	
}
	
void IndexPage:: setChildPageIDs( vector<int>* childPageIDs_ ){
	
	childPageIDs = childPageIDs_;
	
}

void IndexPage:: setIsLeafNode( bool isLeafNode_ ){
	
	isLeafNode = isLeafNode_;
	
}

void IndexPage:: setPageID( int pageID_ ){
	
	pageID = pageID_;
	
}
