#ifndef INSERTINTOPARTIALAGGREGATION_H_
#define INSERTINTOPARTIALAGGREGATION_H_

#pragma once

#include <string>
#include <vector>

using namespace std;

class InsertIntoPartialAggregation{
	
public:

	InsertIntoPartialAggregation();
	~InsertIntoPartialAggregation();
	
	int getBlockIndex();
	void setBlockIndex( int newBlockIndex );

	int getNumberOfAttributes();
	void setNumberOfAttributes( int newNumberOfAttributes );

	vector<int>* getInsertValues();
	void setInsertValues( vector<int>* newInsertValues );
	
private:
	
	int blockIndex;
	
	int numberOfAttributes;
	
	vector<int>* insertValues;
	
};

#endif /*INSERTINTOPARTIALAGGREGATION_H_*/
