#ifndef BUFFERPOOL_H_
#define BUFFERPOOL_H_

#pragma once

#include "../Managers/StorageManager.h"
#include "../DataHeader/DataHeader.h"
#include "../DataPage/DataPage.h"

#include <string>

#include <iostream>
#include <fstream>

using namespace std;


class BufferPool {
	
public:

	BufferPool(void);
	~BufferPool(void);

	// getters ..
	int getBufferPoolSize();
	vector<DataPage*>* getDataPages();
	
	// setters ..
	void setBufferPoolSize( int bufferPoolSize );			// used to get the size of the "BP" ..
	void setDataPages( vector<DataPage*>* newDataPages ); 	// used to set the size of the "BP" ..


private:
	
	int bufferPoolSize;										// Indicates the size of the "Buffer Pool" (BP) ..
	
	vector<DataPage*>* dataPages;								// This is the "Buffer Pool" (BP) parameter ..
	
};

#endif /*BUFFERPOOL_H_*/