#include "CatalogFile.h"

CatalogFile:: CatalogFile(){
	
	fileDrive = "";
	fileDirectory = "";
	
	fileName = "";
	fileExtension = "";
	
	fullyQualifiedFileName = "";
	
	//fileDrive = "C:\\";
	//fileDirectory = "Temp\\";
	
	//fileName = "catalog";
	//fileExtension = ".bin";
	
	//fullyQualifiedFileName = ( fileDrive + fileDirectory + fileName + fileExtension );	
	
} // end "CatalogFile()" ..


CatalogFile:: CatalogFile( string newFileDrive, string newFileDirectory, string newFileName, string newFileExtension ){
	
	fileDrive = newFileDrive;
	fileDirectory = newFileDirectory;
	
	fileName = newFileName;
	fileExtension = newFileExtension;
	
	fullyQualifiedFileName = ( fileDrive + fileDirectory + fileName + fileExtension );	
	
} // end "CatalogFile( string newFileDrive, string newFileDirectory, string newFileName, string newFileExtension )" ..



void CatalogFile:: updateFullyQualifiedFileName(){
	
	string fqfn = fileDrive;
	
	fqfn += fileDirectory;
	
	fqfn += fileName;
	
	fqfn += fileExtension;
	
	fullyQualifiedFileName = fqfn;
	
	// DEBUGGING ..
	//cout << "CatalogFile:: updateFullyQualifiedFileName() this->fullyQualifiedFileName: " << fullyQualifiedFileName << endl << endl;
	
} // end "updateFullyQualifiedFileName()" ..


/*
 * SETTERS ..
 */
 
 
void CatalogFile:: setFileDrive( string fileDrive_ ){
	
	fileDrive = fileDrive_;
	
	updateFullyQualifiedFileName();
	
}
	 
void CatalogFile:: setFileDirectory( string fileDirectory_ ){
	
	fileDirectory = fileDirectory_;
	
	updateFullyQualifiedFileName();
	
}
	 
void CatalogFile:: setFileName( string fileName_ ){
	
	fileName = fileName_;
	
	updateFullyQualifiedFileName();
	
}
	 
void CatalogFile:: setFileExtension( string fileExtension_ ){
	
	fileExtension = fileExtension_;
	
	updateFullyQualifiedFileName();
	
}


/*
 * GETTERS ..
 */


string CatalogFile:: getFileDrive(){
	
	return fileDrive;
	
}
	 
string CatalogFile:: getFileDirectory(){
	
	return fileDirectory;
	
}
	 
string CatalogFile:: getFileName(){
	
	return fileName;
	
}
	 
string CatalogFile:: getFileExtension(){
	
	return fileExtension;
	
}

string CatalogFile:: getFullyQualifiedFileName(){
	
	return fullyQualifiedFileName;
	
}
