#include "CatalogTimestamp.h"

CatalogTimestamp:: CatalogTimestamp() {
	
	//cout << "start CatalogTimestamp() called .." << endl << endl;
	
	
	timestamp = 0;
	
	updateTimestampString();
	
	
	//cout << "end CatalogTimestamp() called .." << endl << endl;
	
} // end "CatalogTimestamp()" ..


CatalogTimestamp:: CatalogTimestamp( time_t timestamp_ ) {
	
	//cout << "start CatalogTimestamp( time_t timestamp ) called .." << endl << endl;
	
	
	// copy constructor ..
	
	timestamp = timestamp_;
	
	updateTimestampString();
	
	
	//cout << "end CatalogTimestamp( time_t timestamp ) called .." << endl << endl;
	
} // end "CatalogTimestamp( time_t timestamp_ )" ..


void CatalogTimestamp:: updateTimestampString(){
	
	// convert "tm struct" to string ..
	timestampString = ctime( &( timestamp ) );
	
} // end "updateTimestampString()" ..


/*
 * SETTERS ..
 */


void CatalogTimestamp:: setTimestamp( time_t timestamp_ ){
	
	//cout << "setTimestamp( time_t timestamp ) start .." << endl << endl;

	timestamp = timestamp_;
	
	timestampString = ctime( &timestamp_ );
	
	//cout << "setTimestamp( time_t timestamp ) end .." << endl << endl;
	
} // end "setTimestamp( time_t timestamp_ )" ..

/*
 * GETTERS ..
 */


time_t CatalogTimestamp:: getTimestamp(){
	
	return timestamp;
	
}

string CatalogTimestamp:: getTimestampString(){
	
	return timestampString;
	
}

