#ifndef CATALOGTIMESTAMP_H_
#define CATALOGTIMESTAMP_H_

#pragma once

#include <iostream>
#include <string>

using namespace std;

class CatalogTimestamp {
	
public:

	// data members:
	
	
	// member functions:
	
	CatalogTimestamp();
	
	//CatalogTimestamp( const CatalogTimestamp& );
	
	CatalogTimestamp( time_t );
	
	/*
	 * SETTERS ..
	 */
	 
	 void setTimestamp( time_t );
	 
	
	/*
	 * GETTERS ..
	 */

	 time_t getTimestamp();
	 
	 string getTimestampString();


private:

	// data members:

	// value obtained from DB, 
	// indicating the last time 
	// that the DB was updated / changed ..
	time_t timestamp;
	
	// "timestamp" converted from "time_t" to "string" ..
	string timestampString;
	
	// member functions:
	
	// when "timestamp" is changed, 
	// update the value for "timestampString" ..
	void updateTimestampString();
	
	
}; // end "CatalogTimestamp" class ..

#endif /*CATALOGTIMESTAMP_H_*/
