
#include "Testers/Tester.h"
#include "Utilities/String_Utilities.h"

using namespace std;

/*

int main( int argc, char* args[] ) {

	Tester tester;
	
	tester.writeMetaData();
	
	tester.readMetaData();

}

*/



int main( int argc, char* args[] ) {
	
	
	bool runTest = true;
	
	Tester tester;
	
	if ( runTest ) {
		
		
		//Tester tester;
		
		//tester.writeMetaData();
	
		//tester.readMetaData();
		
		//tester.testPowerOperator();
		
		//tester.writeIndexBuckets();
		//tester.writeIndexBucket();
		
		//tester.createIndexSearchKeys();
		//tester.createIndexPages();
		
		//tester.writeIndexPage("", "", NULL, -1, -1, true);
		//tester.writeIndexPages();
		
		//IndexBucketHeader* indexBucketHeader = NULL;
		//tester.writeIndexBucketHeader( "abc", "I", *indexBucketHeader );
		//tester.writeIndexHeader();
		
		//tester.readIndexPage();
		
		//IndexBucket* indexBucket = new IndexBucket();
		//bool isReadIndexBucket = tester.readIndexBucket( "abc", "I", indexBucket, 0 );
		
		//vector<IndexPage*>* indexPages_ = new vector<IndexPage*>();
		//bool isReadIndexPages = tester.readIndexPages( indexPages_ );
		
		//tester.test_write();
		//tester.test_read();
		
		//tester.test_createTables_insert_select();


		//tester.test_createTable_createIndex_insert_printIndex();
		
		//tester.test_createTable_insert_createIndex_printIndex();
		
		//tester.test_createTable_insert_createIndex_selectData();
		
		tester.test_testData();

		cout << "test complete .." << endl << endl;
		
	} else {
		
		// comment out when not doing both auto test + manual add ..
		//tester.test_createTable_insert_createIndex_printIndex();
		
		int bufferPoolSize = 1;
	
		// the first and only argument from the command-line invocation
		// of the database should be the user's desired size of the buffer pool,
		// and it should be an integer (not non-numeric) ..
		if ( ( argc == 1 ) && ( isInteger( args[0] ) ) ) {

			string bufferPoolSizeString = args[0];
		
			bufferPoolSize = strToInt( bufferPoolSizeString );
		
			// check that command line argument is 1 or more ..
			// (when running from Eclipse, argc = 1, args[0] = -1 ..
			if( bufferPoolSize <= 0 )
				bufferPoolSize = 3;
		
		} else {
		
			// default buffer pool size is "3" ..
			bufferPoolSize = 3;
		
		}
	
		// DEBUGGING ..
		//cout << "bufferPoolSize: " << bufferPoolSize << endl << endl;
		//cout << "argc: " << argc << endl << endl;
		
		// 8 columns per table max ..
		int maxColumnsPerTable = 8;

		UserInterface ui( maxColumnsPerTable, bufferPoolSize );
	
		int iteration = 0;
	
		//ui.clearOldTablePageLocks();
	
		while( ui.isQuitProgram() == false ){
		
			ui.promptUserForCommand();
		
			if ( ui.isQuitProgram() == false ) {
			
				ui.parseCommand();
			
				ui.performCommand();
			
				ui.printMessagesAndCleanUp();
			
			
			}
		
		} // end "while()" ..
		
		
		
	} // end "if(runTest)" ..
	

	
} // end "main()" ..


