#include "IndexHeader.h"

IndexHeader:: IndexHeader() {
	
	rootPageID = 0;
	
	totalNumberOfIndexPages = 0;
	
	headerEntries = new vector<IndexHeaderEntry*>();

}

IndexHeader:: ~IndexHeader() {
}

	/*
	 * GETTERS .. 
	 */
	 
int IndexHeader:: getRootPageID(){
	
	return rootPageID;
	
}
	 
int IndexHeader:: getTotalNumberOfIndexPages(){
	
	return totalNumberOfIndexPages;
	
}

bool IndexHeader:: getIsDuplicatesAllowed(){
	
	return isDuplicatesAllowed;	
	
}
	
vector<IndexHeaderEntry*>* IndexHeader:: getHeaderEntries(){
	
	return headerEntries;
	
}

	/*
	 * SETTERS .. 
	 */

void IndexHeader:: setRootPageID( int rootPageID_ ){
	
	rootPageID = rootPageID_;
	
}

void IndexHeader:: setTotalNumberOfIndexPages( int totalNumberOfIndexPages_ ){
	
	totalNumberOfIndexPages = totalNumberOfIndexPages_;
	
}

void IndexHeader:: setIsDuplicatesAllowed( bool isDuplicatesAllowed_ ){
	
	isDuplicatesAllowed = isDuplicatesAllowed_;	
	
}

void IndexHeader:: setHeaderEntries( vector<IndexHeaderEntry*>* headerEntries_ ){
	
	headerEntries = headerEntries_;
	
}
