#include "IndexNode.h"

IndexNode:: IndexNode() {
	
	_indexPageID = -1;
	
	_childIndexPageIDs = NULL;
	
	_parentIndexPageID = -1;
	
}

IndexNode:: ~IndexNode() {
	
	delete _childIndexPageIDs;
	
}

void IndexNode:: setIndexPageID( int indexPageID_ ){
	
	_indexPageID = indexPageID_;
	
}

void IndexNode:: setChildIndexPageIDs( vector<int>* childIndexPageIDs_ ){
	
	_childIndexPageIDs = childIndexPageIDs_;
	
}

void IndexNode:: setParentIndexPageID( int parentIndxPageID_ ){
	
	_parentIndexPageID = parentIndxPageID_;
	
}
	
int IndexNode:: getIndexPageID(){
	
	return _indexPageID;
	
}

vector<int>* IndexNode:: getChildIndexPageIDs(){
	
	return _childIndexPageIDs;
	
}

int IndexNode:: getParentIndexPageID(){
	
	return _parentIndexPageID;
	
}
