#ifndef INDEXROWS_H_
#define INDEXROWS_H_

#include <vector>
#include "IndexNodeRow.h"

class IndexRows {
	
public:
	IndexRows();
	virtual ~IndexRows();
	
	IndexNodeRow* getRow( int rowNumber_ );
	
	void addRow( IndexNodeRow* newRow_ );
	
	int findParentPageID( int currentPageID_, int currentRowNumber_ );
	
private:

	vector<IndexNodeRow*>* _rows;
	
};

#endif /*INDEXROWS_H_*/
