#include "MessageManager.h"

MessageManager:: MessageManager(void) {
	
	//cout << "MessageManager:: MessageManager() start .." << endl << endl;
	
	resultMessage = "";
	
	isCMError = false;
	
	errorStringCM = "";
	
	isSMError = false;
	
	errorStringSM = "";
	
	isBMError = false;
	
	errorStringBM = "";
	
	isQMError = false;
	
	errorStringQM = "";
	
	isParserError = false;
	
	errorStringP = "";
	
	//cout << "MessageManager:: MessageManager() start .." << endl << endl;
	
}


MessageManager:: ~MessageManager(void){
	
	//cout << "~MessageManager() start .." << endl << endl;
	
	//cout << "~MessageManager() end .." << endl << endl;

}


string MessageManager:: getResultMessage(){
	
	return resultMessage;
	
}

void MessageManager:: setResultMessage( string newResultMessage ){
	
	resultMessage += newResultMessage;
	
}


bool MessageManager:: hasErrorMessage(){
	
	bool hasErrorMessage = false;
	
	// DEBUGGING ..
	//cout << "isCMError: " << isCMError << endl;
	//cout << "isSMError: " << isSMError << endl;
	//cout << "isBMError: " << isBMError << endl;
	//cout << "isQMError: " << isQMError << endl;
	//cout << "isParserError: " << isParserError << endl;
	
	if ( isCMError || isSMError || isBMError || isQMError || isParserError ) {
		
		hasErrorMessage = true;
		
	}
	
	return hasErrorMessage;
	
}


void MessageManager:: setErrorStringCM( string errorString ){
	
	isCMError = true;
	
	errorStringCM += errorString;
	
}


void MessageManager:: setErrorStringSM( string errorString ){
	
	isSMError = true;
	
	errorStringSM += errorString;
	
}


void MessageManager:: setErrorStringBM( string errorString ){
	
	isBMError = true;
	
	errorStringBM += errorString;
	
}


void MessageManager:: setErrorStringQM( string errorString ){
	
	isQMError = true;
	
	errorStringQM += errorString;
	
}


void MessageManager:: setErrorStringP( string errorString ){
	
	isParserError = true;
	
	errorStringP += errorString;
	
}

string MessageManager:: getErrorMessage(){
	
	string returnErrorMessage;
	
	if ( isCMError ) {
		
		returnErrorMessage += errorStringCM;
		
	}
	
	if ( isSMError ) {
		
		returnErrorMessage += errorStringSM;
		
	}
	
	if ( isBMError ) {
		
		returnErrorMessage += errorStringBM;
		
	}
	
	if ( isQMError ) {
		
		returnErrorMessage += errorStringQM;
		
	}
	
	if ( isParserError ) {
		
		returnErrorMessage += errorStringP;
		
	}
	
	return returnErrorMessage;
	
} // end "getErrorMessage()" ..


void MessageManager:: resetErrorStatus(){
	
	resultMessage = "";
	
	isCMError = false;
	
	errorStringCM = "";
	
	isSMError = false;
	
	errorStringSM = "";
	
	isBMError = false;
	
	errorStringBM = "";
	
	isQMError = false;
	
	errorStringQM = "";
	
	isParserError = false;
	
	errorStringP = "";	
	
}
