#ifndef MESSAGEMANAGER_H_
#define MESSAGEMANAGER_H_

#pragma once

#include <string>
#include <iostream>

using namespace std;

class MessageManager {
	
public:

	// member functions:
	MessageManager(void);
	~MessageManager(void);
	
	string getResultMessage();
	
	void setResultMessage( string newResultMessage );
	
	void setErrorStringCM( string errorString );
	
	void setErrorStringSM( string errorString );
	
	void setErrorStringBM( string errorString );
	
	void setErrorStringQM( string errorString );
	
	void setErrorStringP( string errorString );
	
	string getErrorMessage();
	
	bool hasErrorMessage();

	void resetErrorStatus(void);
	
private:
	
	// data members:
	string resultMessage;
	
	bool isCMError;
	
	string errorStringCM;
	
	bool isSMError;
	
	string errorStringSM;
	
	bool isBMError;
	
	string errorStringBM;
	
	bool isQMError;
	
	string errorStringQM;
	
	bool isParserError;
	
	string errorStringP;
	
};

#endif /*MESSAGEMANAGER_H_*/