#ifndef TIMER_H_
#define TIMER_H_

#pragma once

#include <string>
#include "time.h"
#include "String_Utilities.h"

using namespace std;

class Timer {
	
public:

	Timer();
	
	void setTimerOn();
	
	void setTimerOff();
	
	bool getTimerStatus();
	
	void startTimer();
	
	void stopTimer();
	
	string getElapsedSeconds();
	
	string getElapsedMilliseconds();
	
	
private:

	bool timerStatus;

	double startTime;
	
	double endTime;
	
	double elapsedTime;
	
};

#endif /*TIMER_H_*/
